Subject: Re: [PATCH 0/3] Dual EMAC mode implementation of CPSW

From: Mark Jackson <[email-masked]>
Date: Mon, 22 Apr 2013 15:07:35 +0100

On 18/04/13 17:01, Mark Jackson wrote:
> On 15/04/13 18:34, Mugunthan V N wrote:
>> On 4/15/2013 10:58 PM, Mark Jackson wrote:
>>> On 15/04/13 18:07, Mugunthan V N wrote:
>>>> On 4/15/2013 12:46 AM, Mark Jackson wrote:
>>>
>>> <snip>
>>>
>>>>>
>>>>> Notice that at the end, the nfs link appears to come back "ok", but
>>>>> the "ps" command never completes.
>>>>>
>>>>> Any ideas of what's going on ?
>>>>
>>>> I have tried ping on both the interface fine. Will verify with ps again
>>>> later in this week.
>>>> Can you provide below details details
>>>> - Are you using EVMsk or custom build EVM?
>>>
>>> This is a custom board (based on the BeagleBone design) with dual
>>> Ethernet, NAND, NOR and FRAM.
>>>
>>> The dual emac thing is (one of) the last things to get signed off, so
>>> I'm willing to assist in tracking this down.
>>
>> After testing the scenario i may be able to send you an update later in
>> this week.
> 
> I have made some progress ... I realised I was missing a (clearly rather
> important !!) item in my .config file, namely CONFIG_TI_DAVINCI_EMAC.
> 
> I am now able to ping from our board to other systems on the network
> (again, I've only tested eth0 at the moment).
> 
> However, I am unable to ping everything I should be able to !!

<snip>

> When the pings fail, I am unable to see *any* activity on the network
> (using wireshark).
> 
> Is there anything else I should try ?

Mugunthan

Can you confirm that I'm actually trying to achieve the right thing ?

I have all along assumed that Dual EMAC mode would simply provide the
kernel will a pair of independent Ethernet ports.

All I am trying to do is to get both Ethernet ports working so I can
have one port on (say) 10.0.x.x and the other on (say) 10.1.x.x

But there is all this reference to VLANs(in the source code and the TRM)
... I have not setup any VLANs.  Do I need to ?  If so, how ?

Cheers
Mark J.